CR (Cosmic Rounds)
==================

Adds 64 New cards to the game!

New Cards
---------

-   Beetle (Uncommon)
-   Crow  (Uncommon)
-   Hawk  (Uncommon)
-   Speed Up  (Common)
-   Mosquito  (Uncommon)
-   Super Sonic (Rare)
-   Stasis  (Common)
-   Ones King  (Legendary)
-   Bullet Time  (Common)
-   Stun  (Common)
-   Fear Factor  (Uncommon)
-   Star  (Common)
-   Critical Hit  (Common)
-   Flamethrower  (Legendary)
-   Syphon  (Common)
-   Dropshot (Common)
-   Recon (Rare)
-   Taser (Rare)
-   Holster (Rare)
-   Drone (Rare)
-   Flex (Uncommon)
-   Spark (Rare)
-   Golden Glaze (Uncommon)
-   Focus (Common)
-   Sugar Glaze (Uncommon)
-   Mitosis (Common)
-   Meiosis (Uncommon)
-   Pogo (Common)
-   All (Rare)
-   Cloud (Uncommon)
-   Pulse (Uncommon)
-   Drive (Uncommon)
-   Sun (Legendary)
-   Comet (Uncommon)
-   Meteor (Uncommon)
-   Unicorn (Rare)
 - Red is double damage and +20% damage growth.
       - Orange is -90% Reload Time and very fast Attack Speed, but -25% damage.
       - Yellow is double Bullet Speed.
       - Green is double health.
       - Cyan is double movement speed and jump height, as well as slight bullet slow.
       - Blue is +50% health, -50% block cooldown, and +1 block, but -25% movement speed.
       - Purple is 4s damage over time, +50% health, +50% lifesteal, and +20% damage.
       - Pink is +5 bounces.

-   Gravity (Common)
-   Ignite (Rare)
-   Fae Embers (Uncommon)
-   Careen (Common)
-   Asteroid (Uncommon)
-   Pulsar (Rare)
-   Glue (Uncommon)
-   Aqua Ring (Uncommon)
-   Quasar (Rare)
-   Cake (Uncommon)
-   Egg (Legendary)
-   Chlorophyll (Legendary)
-   Hive (Uncommon)
-   Barrier (Uncommon)
-   Dove (Common)
-   Heartition (Rare)
-   Heartbeat (Rare)
-   Heartburn (Rare)
-   Heartthump (Rare)
-   Love Hertz (Rare)
-   Sweetheart (Rare)
-   Dark Matter (Rare)
-   Ring (Uncommon)
-   Ping (Uncommon)
-   Shooting Star (Uncommon)
-   Satellite (Uncommon)
-   Vulture (Rare)
-   Hyper Sonic (Legendary)

### Versions
-   v2.1.10
    -   Critical Hit now increases reload time. (-25% -> +25%)
    -   Dropshot now increases reload time by 0.25s.
    -   Mitosis now increases block cooldown by 0.5s.
    -   Pogo now heals for 3 on each second instead of 5.
    -   Cloud now has been reworked a bit, it now has +2 Bullets, more bullet speed, more bullet gravity and more bullet drag.
    -   Cloud now ACTUALLY has -30% like it says, instead of the -70% that it actually did.
    -   Pulse no longer can hurt the player that shot it, and it has +1 bounce. (+2 Bounces -> +3 Bounces)
    -   Glue now resets bounces again.
    -   Ping now does 50% of your gun damage again, but it now increases damage by 15%.

-   v2.1.9
    -   All Regen stats now show a flat amount, this does not affect how they work.
    -   All "Focused Shots" stats now show "Reset Spread", this does not affect how they work.
    -   Fear Factor has less health. (+35% -> +30%)
    -   Star description changed.
    -   Critical Hit no longer lowers damage.
    -   Syphon now has more lifesteal. (+25% -> +50%)
    -   Dropshot has less bounces. (+2 -> +1)
    -   Taser is now Rare instead of Uncommon.
    -   Flex has a longer cooldown. (3s -> 5s)
    -   Drone is now a Rare instead of a Legendary, but it can only target close enemies, and has lower damage. (-30% -> -40%)
    -   Golden Glaze no longer decreases damage, and now increases reload time by 20%.
    -   Sugar Glaze now has lower reload time. (-25% -> -20%)
    -   Mitosis now increases damage by 25%.
    -   Pogo is now a Common that heals each time it jumps, but it has higher block cooldown. (-40% -> -30%)
    -   Drive can now only target close enemies, and has less damage. (-30% -> -40%)
    -   Sun can now go through walls.
    -   All reload cards (like Comet, Asteroid and Meteor) now ACTUALLY affect reload time.
    -   Gravity does increased damage and it sends farther, but it can now be blocked aptly.
    -   Ignite is now a Rare instead of Uncommon.
    -   Fae Embers does more damage.
    -   Careen is now Common instead of Uncommon.
    -   Glue now gives -1 Bounce instead of resetting them to 0.
    -   Aqua Ring now heals a flat 55 health instead of 30% of max health, it now also gives less health. (+50% -> +30%)
    -   Heartbeat now triggers every 8 seconds instead of 5.
    -   Heartburn does more damage.
    -   Ring now has more damage. (-30% -> -20%)
    -   Ping does 75% of your gun damage instead of 50%.
    -   Heartburn does more damage.
    -   Numerous other bugfixes.

-   v2.1.8
    -   Stun now says "-1 Ammo" again, this doesn't change anything about the card, as it always gave -1 Ammo.
    -   Health effects that didn't apply properly now do.
    -   Chlorophyll and Cake persistence issues have hopefully be solved.

-   v2.1.7
    -   Stun and Silence effects should now sync up properly online.
    -   Pulse has a limited number of pops, and does more damage when it does.
    -   Pogo now lowers block cooldown by 40% instead of 50%.

-   v2.1.6
    -   A ton of card rarity changes have happened, check above to see the new rarity changes.
    -   Mosquito now has less lifesteal and less reload time. (Life Steal: +100% -> +75% | Reload: +35% -> +25%)
    -   Ones King now displays that it slows Projectile Speed again.
    -   Stun is now Common instead of Uncommon.
    -   Star has lower damage, but it is Common instead of Uncommon. (-75% -> -80%)
    -   Flamethrower and Ignite now have a slower interval of damage, and they display a new stat to let people know they can set objects on fire.
    -   Syphon is now Common.
    -   Dropshot has 1 less bounce, and is Common.
    -   Drone has more damage. (-70% -> -30%)
    -   Focus no longer increases damage (bugfix) and now actually increases health like the card says.
    -   Sugar Glaze is now Uncommon.
    -   Cloud is now Uncommon.
    -   Careen is now Uncommon.
    -   Cake and Chlorophyll's regen calculation is a flat amount like Beetle's, instead of being based on max health.
    -   Ring now has less bounces. (+4 -> +2)
    -   Satellite is now Uncommon.

-   v2.1.5
    -   Speed Up no longer lowers health, but its reload time reduction has been decreased. (30% -> 25%)
    -   Flex is now Uncommon, but no longer lowers block cooldown. Instead, it increases it by 0.5s.
    -   Pogo now decreases block cooldown by 50%, and is Uncommon. (-40% -> -50%)
    -   Gravity now increases health by 30% instead of movement speed by 20%.
    -   Fae Embers now increases movement speed by 30% instead of health.
    -   Quasar now triggers more often, but has reduced damage.
    -   Dark Matter no longer reduces damage, but the DoT damage has been reduced.
    -   Ring has more damage, and it gives more bounces. (Damage: -50% -> -30% | Bounces: +1 -> +4)
    -   Love Hertz now has a visual for when the target is stunned and silenced, and does a bit of damage when that happens.
    -   Chlorophyll now has a max of 3 stacks.

-   v2.1.4
    -   Added a new card, listed above.
    -   CR now uses RarityLib, which means CR will now include Legendary cards! These cards have been moved to Legendary:
	- Ones King
	- Flamethrower
	- Drone
	- Sun
	- Egg
    -   Sweet Heart has been fixed, it no longer sends you into the stratosphere.
    -   Ones King now decreases bullet gravity instead of increasing it.
    -   Super Sonic no longer increases Projectile Speed.
    -   Speed Up's HP decrease has been decreased.
    -   Love Hertz range has been increased.

-   v2.1.3
    -   All cards now have card art again! (woooot!)
    -   Mosquito now has +100% Lifesteal. (It was previously +50%, but its stats didn't accurate show that)
    -   Stasis now gives +25% damage.

-   v2.1.2
    -   Persistence issues involving instantiating objects has been fixed.
    -   Most visual effects have been updated or adjusted.
    -   Quasar activates less often, is smaller, and has a 3 second ability cooldown.
    -   Barrier and Heartition update less often.
    -   Love Hertz stun and silence length increased.
    -   Taser stun length decreased.
    -   Heartbeat activates every 5 seconds instead of 3 seconds.

-   v2.1.1
    -   Barrier's visual has been fixed.
    -   Careen now has lower damage, but can be fired at steep downward angles.
    -   Chlorophyll should now correctly see if the player is reloading.
    -   Drive, Drone and Hive are a bit slower, and Drive is now an Uncommon with a bit more damage.
    -   Mosquito now has +50% lifesteal.
    -   Ring and Dark Matter now have different ranges, and their update time has been lowered.
    -   Satellite now has +2 Bounces and works a bit differently.
    -   Performance Improvements is now a dependency until I can learn how to disable certain screenshake effects.

-   v2.1.0
    -   Aqua Ring is now Uncommon.
    -   Asteroid has less damage. (+50% -> +30%)
    -   Barrier and Heartition range lowered. Also Heartition now heals for a flat 15.
    -   Bullet Time stats have changed. (-35% Reload Time -> -30%, -30% Projectile Speed -> -65%)
    -   Careen now has +1 Bounce.
    -   Cloud no longer increases damage.
    -   Comet now increases projectile speed by 50% instead of damage.
    -   Dark Matter and Ring have lower range and damage.
    -   Fear Factor now no longer lowers block cooldown.
    -   Flex and Holster are now Rare.
    -   Focus no longer increases damage, and it lowers attack speed by 50%.
    -   Glue now increases reload time, and is Uncommon.
    -   Golden Glaze is Uncommon, Sugar Glaze no longer increases damage.
    -   Heart Thump now heals for 9% of your bullet damage.
    -   Heartbeat no longer decreases block cooldown.
    -   Love Hertz now triggers every 2 seconds.
    -   Mosquito no longer increases damage.
    -   Ping is now Uncommon.
    -   Pogo now only decreases Block Cooldown.
    -   Pulse no longer increases damage, and it now slows first before is speeds up.
    -   Quasar now deals less damage, and it no longer stuns while dealing damage.
    -   Recon now lowers Attack Speed accurately.
    -   Satellite no longer increases damage.
    -   Shooting Star has lower damage. (+50% -> +30%)
    -   Spark stats have changed. (+10 Ammo -> +2, -20% Reload Time -> -35%)
    -   Speed Up now only lowers reload time and block cooldown.
    -   Stasis no longer increases damage.
    -   Super Sonic no longer decreases block cooldown.
    -   Sweet Heart no longer increases damage.
    -   Taser no longer has an ability cooldown.
    -   Not a balance change, but info for Unicorn:
       - Red is double damage and +20% damage growth.
       - Orange is -90% Reload Time and very fast Attack Speed, but -25% damage.
       - Yellow is double Bullet Speed.
       - Green is double health.
       - Cyan is double movement speed and jump height, as well as slight bullet slow.
       - Blue is +50% health, -50% block cooldown, and +1 block, but -25% movement speed.
       - Purple is 4s damage over time, +50% health, +50% lifesteal, and +20% damage.
       - Pink is +5 bounces.

    -   Shooting Star now properly bounce off screen borders.

-   v2.0.6
    -   Speed Up and Super Sonic now affect health properly.

-   v2.0.5
    -   Chlorophyll and Cake now say "Initial Reload Time" instead of "Reload Time." Chlorophyll now also accurately says "+50%."
    -   Ring now only has +1 Bounce. Dark Matter has only +2 Bounces.

-   v2.0.4
    -   Added 3 new cards to the mod! Check above for names and rarities!
    -   EGG has been fixed for real this time.
    -   Aqua Ring now has an ability cooldown.
    -   Sun now redirects a lot less strongly, and has had some stat adjustments.
    -   Ring now does less damage, but has an additional bounce.
    -   Pulsar now scales with gun damage and has had its repositioning re-added.
    -   Barrier and Heartition delete bullets instead of just reflecting them, and are more accurate when doing so.
    -   Other additional stat adjustments!

-   v2.0.3 (April Fools)
    -   EGG has been fixed and updated to match its true form and capabilities.

-   v2.0.2
    -   Pulsar now does damage again.
    -   Comet, Meteor and Asteroid all now do +50% damage instead of +30%.
    -   Fae Embers, Quasar and Heartburn now deal more damage.
    -   Heartition lasts a bit longer.
    -   CR SFX volume now scales to Master Volume as well as SFX Volume.

-   v2.0.1
    -   Adjusted Dark Matter, now has lower projectile speed, but it doesn't reflect against players anymore.
    -   Ring and Dark Matter both lower damage a tiny bit.
    -   Slow adding cards (Glue, Stun, Comet) now add more slow, but slow as a stat no longer adds +100% slow if there is no slow.

-   v2.0.0
    -   Added 3 new cards! Names and rarities are listed above.
    -   All "Heart" cards are now rare.
    -   Reworked Pulse.
    -   Reworked Egg.
    -   Miscellaneous other balance changes! You'll have to see em to know em!
